Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 8 Jul 2009 13:03:28 +0200
From:      dan <meslists@yahoo.fr>
To:        freebsd-questions@freebsd.org
Subject:   portupgrade question
Message-ID:  <200907081303.29476.meslists@yahoo.fr>

Next in thread | Raw E-Mail | Index | Archive | Help
Hello,

yesterday, having to install kdeadmin, I issued the following command

	portupgrade -vnyNb -l file kdeadmin-3.5.10

Noting that "n" is negated by "y" (my mistake), the result of this command was 

	+ print/cups-base
	+ print/xdvik
	+ print/cm-super
	+ print/teTeX
	+ sysutils/kdeadmin3

but I expected portupgrade to also upgrade some packages on which kdeadmin 
depends on (required packages ?). Am I wrong somewhere ? Is the order on 
which the arguments are given relevant ?

To get the result I needed,  I then issued the following command 

	portupgrade -bRv -l file2 kdeadmin-3.5.10 

and the result, as expected, was 

	+ converters/libiconv (libiconv-1.13)
	+ audio/libogg (libogg-1.1.3,4)
	+ audio/celt (celt-0.5.2)
	+ audio/libvorbis (libvorbis-1.2.0_3,3)
	+ audio/flac (flac-1.2.1)
	+ devel/glib20 (glib-2.20.3)
	+ audio/libsndfile (libsndfile-1.0.20)
	+ audio/arts (arts-1.5.10_1,1)

Thanks,

d



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?200907081303.29476.meslists>